## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# awsEmbeddedComponentFactory Class Reference

Factory for custom AWS component. More...

`#include <iaws/awsecomp.h>`

Inheritance diagram for awsEmbeddedComponentFactory:

[legend]
List of all members.

## Public Member Functions

| awsEmbeddedComponentFactory (iAws *_wmgr)
| Calls register to register the component that it builds with the window manager.
virtual void | Register (const char *type)
| Registers this factory with the window manager.
virtual void | RegisterConstant (const char *name, int value)
| Registers constants for the parser so that we can construct right.
iAws * | WindowManager ()
| Returns the current window manager.
virtual | ~awsEmbeddedComponentFactory ()
| Does nothing.

## Protected Attributes

iAws * | wmgr

## Detailed Description

Factory for custom AWS component.

See also awsEmbeddedComponent.

Definition at line 526 of file awsecomp.h.

## Constructor & Destructor Documentation

awsEmbeddedComponentFactory::awsEmbeddedComponentFactory | ( | iAws * | _wmgr | ) | `[inline]`

| Calls register to register the component that it builds with the window manager. Definition at line 536 of file awsecomp.h. References wmgr.

virtual awsEmbeddedComponentFactory::~awsEmbeddedComponentFactory | ( |  | ) | `[inline, virtual]`

| Does nothing. Definition at line 542 of file awsecomp.h.

## Member Function Documentation

virtual void awsEmbeddedComponentFactory::Register | ( | const char * | type | ) | `[inline, virtual]`

| Registers this factory with the window manager. Implements iAwsComponentFactory. Definition at line 550 of file awsecomp.h. References iAws::RegisterComponentFactory(), and wmgr.

virtual void awsEmbeddedComponentFactory::RegisterConstant | ( | const char * | name,
|  | int | value
| ) | `[inline, virtual]`

| Registers constants for the parser so that we can construct right. Implements iAwsComponentFactory. Definition at line 556 of file awsecomp.h. References iAws::GetPrefMgr(), iAwsPrefManager::RegisterConstant(), and wmgr.

iAws* awsEmbeddedComponentFactory::WindowManager | ( |  | ) | `[inline]`

| Returns the current window manager. Definition at line 547 of file awsecomp.h. References wmgr.

The documentation for this class was generated from the following file:

- iaws/awsecomp.h